Subject: bug#12463: 24.2; pos-visible-in-window-p gets slower over time

From: Chong Yidong <[email-masked]>
Date: Fri, 21 Sep 2012 11:52:42 +0800

Juanma Barranquero <[email-masked]> writes:

>> I have no idea what was originally supposed to ensure `image_types'
>> doesn't include duplicate entries, so the patch may be way
>> off... hope someone actually knows what is suppsed to go on there.
>
> What kind of duplicate entries image_types had? Were they mostly (or
> all) for pbm/xbm types?

No, the duplicates were for other image types other than pbm/xbm (in
this case svg).  The trouble, as Jörg pointed out, is that
define_image_types did not check for the prior existence of an image
type before registering it again.  An unfortunate oversight; I've
committed a fix to the trunk.